@import 'layout';
@import 'variables';

.eventDetailsPage {
  --color-delete-icon: var(--color-error);
  --color-text: var(--color-black-90);

  --fontsize-text: var(--fontsize-body-l);

  --fontweight-text: normal;

  --grid-gap: var(--spacing-l);

  --lineheight-text: var(--lineheight-l);
  --margin-text: 0 0 var(--spacing-l);
}

.eventDetailsPage {
  padding-bottom: $paddingBottomPage;

  h1 {
    font-size: var(--fontsize-heading-l);
  }

  h2 {
    font-size: var(--fontsize-heading-s);
  }

  p {
    color: var(--color-text);
    margin: var(--margin-text);
    font-size: var(--fontsize-text);
    font-weight: var(--fontweight-text);
    line-height: var(--lineheight-text);
  }

  .contentWrapper {
    display: grid;
    grid-gap: var(--grid-gap);

    @include respond_above(sm) {
      grid-template-columns: 2fr 1fr;
    }
  }
}

.deleteButton {
  svg {
    color: var(--color-delete-icon);
  }
}
